import axios from '../utils/request'

// 获取医院信息
const getHospitalInfo = (params = {}) => {
  return axios.post('/app/gethospital', params)
}

const getCareerHospitalInfo = (params = {}) => {
  return axios.post('/app/getCareerHospital', params)
}

// 获取套餐详情
const getPackageDetail = (params = {}) => {
  return axios.post('/app/getexamination', params)
}

// 提交体检信息表单
const submitForm = (params = {}) => {
  return axios.post('/app/phyappoint', params)
}

// 获取职工套餐
const getCrewPackage = (params = {}) => {
  return axios.post('/app/getworkexamination', params)
}

// 获取职业体检哪些天预约人数已满
const getCareerDaysFull = (params = {}) => {
  return axios.post('/app/getcareerdaysfull', params)
}

// 获取还剩多少可预约人数
const getPeopleLeft = (params = {}) => {
  return axios.post('/app/getphyappointnum', params)
}

export {
  getHospitalInfo,
  getPackageDetail,
  submitForm,
  getCrewPackage,
  getCareerDaysFull,
  getPeopleLeft,
  getCareerHospitalInfo
}